Description

El proyecto JCRS (org.gvsig.projection.jcrs) no compila con Java 1.6.
Al parecer, el error está causado porque en Java 7 la clase DefaultListModel introdujo los generics en su
implementación, pero no en Java 6:

http://docs.oracle.com/javase/6/docs/api/javax/swing/DefaultListModel.html
http://docs.oracle.com/javase/7/docs/api/javax/swing/DefaultListModel.html

El parche que se adjunto instancia DefaultListModel sin usar genéricos, de forma que compila correctamente tanto
en Java 6 como Java 7.

El error es:

[ERROR]
/home/cesar/projects/gvSIG/2.1-trunk/workspace-cli/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common
.common/src/main/java/org/gvsig/crs/preferences/JCRSPreferencesPage.java:[127,24]
type javax.swing.DefaultListModel does not take parameters
[ERROR]
/home/cesar/projects/gvSIG/2.1-trunk/workspace-cli/org.gvsig.projection.jcrs/org.gvsig.projection.app.jcrs/org.gvsig.projection.app.jcrs.common
.common/src/main/java/org/gvsig/crs/preferences/JCRSPreferencesPage.java:[127,63]
type javax.swing.DefaultListModel does not take parameters

Hay que tener en cuenta que ahora mismo gvSIG 2.1 se distribuye con Java 1.6, por lo que creo que es importante que el proyecto
compile con esa versión.

Associated revisions
Revision 295 - 10/26/2014 05:51 PM - Joaquín  del Cerro Murciano

Correccion para mantener compatibilidad con java 1.6, refs #2933

History
#1 - 10/23/2014 05:24 PM - Álvaro Anguix
- Target version set to 2.1.0-2259-rc3
- Assignee set to Joaquín  del Cerro Murciano
http://docs.oracle.com/javase/6/docs/api/javax/swing/DefaultListModel.html
http://docs.oracle.com/javase/7/docs/api/javax/swing/DefaultListModel.html


#2 - 10/24/2014 09:02 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2254-testing

#3 - 10/26/2014 05:53 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Se me pasaria esto en algun momento.
Gracias.

#4 - 10/27/2014 04:57 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Lo paso a closed, pero si César puede certificarlo...mejor.
